%define major 1
%define libchromaprint %mklibname %{name} %major
%define develname %mklibname -d %{name}

Name:           chromaprint
Version:        1.3.2
Release:        %mkrel 2
Summary:        Library implementing the AcoustID fingerprinting
Summary(de):	Chromaprint ist eine Kernkomponente des Acoustid-Projekts.
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.acoustid.org/chromaprint/
Source:         https://bitbucket.org/acoustid/chromaprint/downloads/%name-%version.tar.xz
#---------------------------------
BuildRequires:  cmake
BuildRequires:  fftw-devel >= 3
BuildRequires:	ffmpeg-devel
BuildRequires:	taglib-devel
#--------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	%{name} < %{version}
Requires:	%{libchromaprint}

%description
Chromaprint library is the core component of the AcoustID project. It's a 
client-side library that implements a custom algorithm for extracting 
fingerprints from raw audio sources.

The library exposes a simple C API. The documentation for the C API can be
found in the main header file.

%package -n %{libchromaprint}
Summary:        Library implementing the AcoustID fingerprinting
Summary(de):	Chromaprint ist eine Kernkomponente des Acoustid-Projekts
Group:          System/Libraries
Obsoletes:	%{name} < %{version}

%description -n %{libchromaprint}
Chromaprint library is the core component of the AcoustID project. It's a 
client-side library that implements a custom algorithm for extracting 
fingerprints from raw audio sources.

The library exposes a simple C API. The documentation for the C API can be
found in the main header file.

%description -l de
Chromaprint ist eine Kernkomponente des Acoustid-Projekts.
Es ist eine klientenseitige Bibliothek, die einen maßgefertigten
Algorithmus implementiert, für das Extrahieren von "Fingerabdrücken"
von jeder Audioquelle.
Einen Überblick über den "Fingerabdruck"-Extraktionsprozess gibt der
Blogeintrag "How does Chromaprint work?"
(http://oxygene.sk/lukas/2011/01/how-does-chromaprint-work/).


%package -n %{develname}
Summary:        Headers for developing programs that will use %{name}
Summary(de):	Header-Dateien und Bibliotheken für chromaprint
Group:          Development/Libraries
Requires:       %{libchromaprint} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}. 

%prep
%setup -q
%apply_patches

%build
%cmake -DBUILD_EXAMPLES=on
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std -C build
rm -f %{buildroot}%{_libdir}/lib*.la

%files
%defattr(-,root,root)
%_bindir/fpcalc

%files -n %{libchromaprint}
%defattr(-,root,root)
%doc COPYING.txt NEWS.txt
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/chromaprint.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%clean
rm -rf %buildroot


%changelog
* Tue May 02 2017 bb2 <bb2> - 1.3.2-2pclos2017
- rebuild against updates

* Wed Mar 08 2017 bb2 <bb2> - 1.3.2-1pclos2017
- update for new ffmpeg
